import { ElementRef } from '@angular/core';
import { AbstractProgressButtonDirective } from './abstract.progress.button.directive';
import { Maybe } from '@dereekb/util';
import * as i0 from "@angular/core";
export declare class DbxProgressSpinnerButtonComponent extends AbstractProgressButtonDirective {
    readonly buttonRef: import("@angular/core").Signal<ElementRef<HTMLElement>>;
    readonly buttonCssArraySignal: import("@angular/core").Signal<string[]>;
    readonly buttonCss$: import("rxjs").Observable<string>;
    readonly spinnerSizeSignal: import("@angular/core").Signal<number>;
    readonly buttonCssSignal: import("@angular/core").Signal<string | undefined>;
    readonly showTextSignal: import("@angular/core").Signal<boolean>;
    readonly showTextButtonIconSignal: import("@angular/core").Signal<false | Maybe<import("@dereekb/dbx-web").DbxProgressButtonIcon>>;
    readonly showIconSignal: import("@angular/core").Signal<boolean | null | undefined>;
    readonly customSpinnerStyleSignal: import("@angular/core").Signal<{
        stroke: string;
    } | undefined>;
    readonly customSpinnerStyleClassSignal: import("@angular/core").Signal<{
        'dbx-progress-spinner-custom': boolean;
    } | undefined>;
    static ɵfac: i0.ɵɵFactoryDeclaration<DbxProgressSpinnerButtonComponent, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<DbxProgressSpinnerButtonComponent, "dbx-progress-spinner-button,dbx-spinner-button", never, {}, {}, never, ["*"], true, never>;
}
